Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625627 - (CVE-2010-2807) CVE-2010-2807 freetype: incorrect integer data types used during bounds checking
CVE-2010-2807 freetype: incorrect integer data types used during bounds checking
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20100805,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 20:41 EDT by Vincent Danen
Modified: 2015-11-20 10:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-19 20:41:16 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2807 to
the following vulnerability:

Name: CVE-2010-2807
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2807
Assigned: 20100722
Reference: MLIST:[oss-security] 20100806 Re: CVE Request -- FreeType -- Memory corruption flaw by processing certain LWFN fonts + three more
Reference: URL: http://marc.info/?l=oss-security&m=128111955616772&w=2
Reference: CONFIRM: http://freetype.sourceforge.net/index2.html#release-freetype-2.4.2
Reference: CONFIRM: http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=346f1867fd32dae8f56e5b482d1af98f626804ac
Reference: CONFIRM: http://sourceforge.net/projects/freetype/files/freetype2/2.4.2/NEWS/view
Reference: CONFIRM: https://bugs.launchpad.net/ubuntu/maverick/+source/freetype/+bug/617019
Reference: CONFIRM: https://savannah.nongnu.org/bugs/?30657
Reference: UBUNTU:USN-972-1
Reference: URL: http://www.ubuntu.com/usn/USN-972-1
Reference: BID:42285
Reference: URL: http://www.securityfocus.com/bid/42285
Reference: SECUNIA:40816
Reference: URL: http://secunia.com/advisories/40816
Reference: SECUNIA:40982
Reference: URL: http://secunia.com/advisories/40982
Reference: VUPEN:ADV-2010-2018
Reference: URL: http://www.vupen.com/english/advisories/2010/2018
Reference: VUPEN:ADV-2010-2106
Reference: URL: http://www.vupen.com/english/advisories/2010/2106

FreeType before 2.4.2 uses incorrect integer data types during bounds
checking, which allows remote attackers to cause a denial of service
(application crash) or possibly execute arbitrary code via a crafted
font file.
Comment 4 Jan Lieskovsky 2010-09-27 12:06:17 EDT
This issue did NOT affect the versions of the freetype package, as shipped
with Red Hat Enterprise Linux 3, 4, or 5.

--

This issue did NOT affect the versions of the freetype package, as shipped
with Fedora release of 12 and 13.

This issue did NOT affect the versions of the mingw32-freetype package,
as shipped with Fedora release of 12 and 13 and as present within EPEL-5
repository.
Comment 5 Jan Lieskovsky 2010-09-27 12:11:48 EDT
Statement:

Not vulnerable. This issue did not affect the versions of freetype as
shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 6 Ender 2015-11-16 17:46:21 EST
RHEL 6 (as of 6.7) ships freetype 2.3.11, which is covered by this CVE.

Would you mind to confirm if this affects RHEL6, and update https://access.redhat.com/security/cve/CVE-2010-2807 accordingly?

Thanks!
Comment 7 Vincent Danen 2015-11-20 10:57:03 EST
Should be updated shortly.

Note You need to log in before you can comment on or make changes to this bug.